Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1995127 - Review Request: restool - A tool to create and manage the DPAA2 Management Complex (MC)
Summary: Review Request: restool - A tool to create and manage the DPAA2 Management Co...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker IoT
TreeView+ depends on / blocked
 
Reported: 2021-08-18 13:52 UTC by Peter Robinson
Modified: 2021-08-29 10:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-29 10:55:23 UTC
Type: Bug
Embargoed:
dan: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2021-08-18 13:52:45 UTC
SPEC: https://pbrobinson.fedorapeople.org/restool.spec
SRPM: https://pbrobinson.fedorapeople.org/restool-2.3.0-1.fc34.src.rpm

Description:
restool is a user space application providing the ability to dynamically
create and manage DPAA2 containers and objects from Linux.

restool interacts with the DPAA2 Management Complex (MC).  It uses an ioctl to
send MC commands, and thus requires a Linux kernel driver providing the needed
ioctl support.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=74074006

FAS: pbrobinson

Comment 1 John Boero 2021-08-23 09:41:22 UTC
Hi @pbrobinson I've had this published on COPR for a while now.  Happy to compare notes.

https://copr.fedorainfracloud.org/coprs/boeroboy/honeycomb/

Comment 2 Peter Robinson 2021-08-23 09:42:43 UTC
What info do you need? Why are you needinfo for a statement?

Comment 3 John Boero 2021-08-23 09:50:29 UTC
Nothing needed. Just trying to help.
My builds came from the WindRiver-Labs repo though.  20.04 is the NXP SDK version apparently.  It sounds like a different codebase.  If you are experimenting with a COPR I'm happy to test it out, or are you planning to put this straight in the Fedora repos soon?

Cheers

Comment 4 Peter Robinson 2021-08-23 09:54:01 UTC
Mine came from the supported NXP repo for the SoC revisions we support in Fedora. No copr.

Comment 5 Dan Horák 2021-08-25 10:54:49 UTC
I would make few changes to the spec
- drop the sed and set the prefix variable on a make commandline instead
- use modern variable for the compiler/linker flags
as shown bellow

Full review will follow soon.


@@ -28,14 +28,13 @@
 
 %prep
 %autosetup -p1
-sed -i 's#/usr/local#/usr#g' Makefile
 
 %build
 # the maybe-uninitialized has been reported to upstream
-%{make_build} EXTRA_CFLAGS="$RPM_OPT_FLAGS -Wno-error=maybe-uninitialized" LDFLAGS="$RPM_OPT_FLAGS"
+%{make_build} EXTRA_CFLAGS="%{build_cflags} -Wno-error=maybe-uninitialized" LDFLAGS="%{build_ldflags}"
 
 %install
-%{make_install}
+%{make_install} prefix=%{_usr}
 
 %files
 %license COPYING

Comment 6 Peter Robinson 2021-08-25 12:23:30 UTC
All makes sense to me

Comment 7 Dan Horák 2021-08-27 12:06:04 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK	source files match upstream:
	    a32b2fc876bc640b349a94e09c8b9fffefb27528  restool-2.3.0.tar.xz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
BAD	license field matches the actual license.
OK	license is open source-compatible (BSD, GPLv2+).
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK*	compiler flags are appropriate.
OK	package builds in mock (Rawhide/aarch64).
OK	debuginfo package looks complete.
OK*	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- restool is dual licensed if I read it right, it should be "BSD or GPLv2+"
- better to use %build_cflags/%build_ldflags as discussed earlier
- rpmlint only complains about missing man pages for the ls-* tools
- changelog refers to version 2.3, but the version tag is 2.3.0

Comment 8 Peter Robinson 2021-08-27 13:35:13 UTC
Updated spec that should have all the changes: https://pbrobinson.fedorapeople.org/restool.spec

Comment 9 Dan Horák 2021-08-27 13:41:51 UTC
thanks, the package is APPROVED

Comment 10 Gwyn Ciesla 2021-08-28 19:51:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/restool


Note You need to log in before you can comment on or make changes to this bug.